Add in the BIO_RW_FAILFAST flag to the multipath target.
[Mike Christie]
--- diff/drivers/md/dm-mpath.c	2003-12-29 10:16:16.000000000 +0000
+++ source/drivers/md/dm-mpath.c	2003-12-29 10:16:28.000000000 +0000
@@ -437,6 +437,7 @@
 	if (!path)
 		return -1;	/* No valid path found */
 
+	bio->bi_rw |= (1 << BIO_RW_FAILFAST);
 	bio->bi_bdev = path->dev->bdev;
 	return 1;
 }
